﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Web.Mvc;
using System.Web.Mvc.Html;

namespace HeuristicLab.Services.Hive.Statistics.Helper {
  public static class HtmlMenuHelper {
    public static MvcHtmlString MenuItem(this HtmlHelper html, string linkText, string action, string controllerName) {
      var currentController = html.ViewContext.RouteData.Values["controller"] as string;
      var currentAction = html.ViewContext.RouteData.Values["action"] as string;

      bool match = string.Equals(currentController, controllerName, StringComparison.InvariantCultureIgnoreCase) &&
                   string.Equals(currentAction, action, StringComparison.InvariantCultureIgnoreCase);

      return html.ActionLink(linkText, action, controllerName, null, match ? new { @class = "current" } : null);
    }
  }
}